%define anolis_release 4

Name:           npth
Version:        1.6
Release:        %{anolis_release}%{?dist}
Summary:        The New GNU Portable Threads library
License:        LGPLv2+
URL:            https://git.gnupg.org/cgi-bin/gitweb.cgi?p=npth.git
Source:         https://gnupg.org/ftp/gcrypt/npth/%{name}-%{version}.tar.bz2
#Source1:        ftp://ftp.gnupg.org/gcrypt/npth/npth-%{version}.tar.bz2.sig
# Manual page is re-used and changed pth-config.1 from pth-devel package
Source2:        npth-config.1

BuildRequires:  make
BuildRequires:  gcc

%description
nPth is a non-preemptive threads implementation using an API very similar
to the one known from GNU Pth. It has been designed as a replacement of
GNU Pth for non-ancient operating systems. In contrast to GNU Pth is is
based on the system's standard threads implementation. Thus nPth allows
the use of libraries which are not compatible to GNU Pth.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
This package contains libraries and header files for
developing applications that use %{name}.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name}-devel = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup

%build
%configure --disable-static
%make_build

%install
%make_install
install -Dpm0644 -t %{buildroot}%{_mandir}/man1 %{S:2}
find %{buildroot} -name '*.la' -delete -print

%generate_compatibility_deps

%check
make check

%ldconfig_scriptlets

%files
%dir %{abidir}
%license COPYING.LIB
%{_libdir}/lib%{name}.so.*
%{abidir}/lib%{name}*.dump

%files devel
%{_bindir}/%{name}-config
%{_libdir}/lib%{name}.so
%{_includedir}/%{name}.h
%{_mandir}/man1/%{name}-config.1*
%{_datadir}/aclocal/%{name}.m4

%files doc
%doc AUTHORS ChangeLog NEWS README

%changelog
* Thu Nov 16 2023 Wenlong Zhang<zhangwenlong@loongson.cn> - 1.6-4
- fix build error for npth

* Tue Oct 18 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.6-3
- optimise spec file

* Thu Sep 29 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.6-2
- add doc package

* Tue Mar 08 2022 Renbo <rb01097748@alibaba-inc.com> - 1.6-1
- Init for Anolis OS 23
